Package org.apache.solr.client.solrj.request

# Class CoreAdminRequest.Create

java.lang.Object
org.apache.solr.client.solrj.SolrRequest<CoreAdminResponse>
org.apache.solr.client.solrj.request.CoreAdminRequest
org.apache.solr.client.solrj.request.CoreAdminRequest.Create

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `CoreAdminRequest`

public static class CoreAdminRequest.Create extends CoreAdminRequest

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

`CoreAdminRequest.Create, CoreAdminRequest.CreateSnapshot, CoreAdminRequest.DeleteSnapshot, CoreAdminRequest.ListSnapshots, CoreAdminRequest.MergeIndexes, CoreAdminRequest.RequestRecovery, CoreAdminRequest.RequestSyncShard, CoreAdminRequest.Unload, CoreAdminRequest.WaitForState`

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`collection`
`protected String`
`configName`
`protected String`
`configSet`
`protected String`
`dataDir`
`protected String`
`instanceDir`
`protected String`
`schemaName`
`protected String`
`ulogDir`

### Fields inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

`action, core, isIndexInfoNeeded, other`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS`

## Constructor Summary

Constructors
Constructor
Description
`Create()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCollection()`
`String`
`getCollectionConfigName()`
`String`
`getConfigName()`
`String`
`getConfigSet()`
`String`
`getCoreNodeName()`
`String`
`getDataDir()`
`String`
`getInstanceDir()`
`Boolean`
`getIsLoadOnStartup()`
`SolrParams`
`getParams()`
The parameters for this request; never null.
`String`
`getSchemaName()`
`String`
`getShardId()`
`String`
`getUlogDir()`
`void`
`setCollection(String collection)`
`void`
`setCollectionConfigName(String name)`
`void`
`setConfigName(String config)`
`void`
`setConfigSet(String configSet)`
`void`
`setCoreName(String coreName)`
Provide the name of the core to be created.
`void`
`setCoreNodeName(String coreNodeName)`
`void`
`setDataDir(String dataDir)`
`void`
`setInstanceDir(String instanceDir)`
`void`
`setIsLoadOnStartup(Boolean loadOnStartup)`
`void`
`setNumShards(int numShards)`
`void`
`setSchemaName(String schema)`
`void`
`setShardId(String shardId)`
`void`
`setUlogDir(String ulogDir)`

### Methods inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

`createCore, createCore, createCore, createResponse, getCoreStatus, getCoreStatus, getStatus, mergeIndexes, reloadCore, renameCore, setAction, setIndexInfoNeeded, setOtherCoreName, swapCore, unloadCore, unloadCore, unloadCore`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getApiVersion, getBasicAuthPassword, getBasicAuthUser, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getRequestType, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, processWithBaseUrl, requiresCollection, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setRequestType, setResponseParser, setStreamingResponseCallback, setUserPrincipal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### instanceDir

protected String instanceDir

### configName

protected String configName

### schemaName

protected String schemaName

### dataDir

protected String dataDir

### ulogDir

protected String ulogDir

### configSet

protected String configSet

### collection

protected String collection

## Constructor Details

### Create

public Create()

## Method Details

### setInstanceDir

public void setInstanceDir(String instanceDir)

### setSchemaName

public void setSchemaName(String schema)

### setConfigName

public void setConfigName(String config)

### setDataDir

public void setDataDir(String dataDir)

### setUlogDir

public void setUlogDir(String ulogDir)

### setConfigSet

public void setConfigSet(String configSet)

### setCollection

public void setCollection(String collection)

### setNumShards

public void setNumShards(int numShards)

### setShardId

public void setShardId(String shardId)

### setCoreNodeName

public void setCoreNodeName(String coreNodeName)

### setIsLoadOnStartup

public void setIsLoadOnStartup(Boolean loadOnStartup)

### setCollectionConfigName

public void setCollectionConfigName(String name)

### getInstanceDir

public String getInstanceDir()

### getSchemaName

public String getSchemaName()

### getConfigName

public String getConfigName()

### getDataDir

public String getDataDir()

### getUlogDir

public String getUlogDir()

### getConfigSet

public String getConfigSet()

### getCollection

public String getCollection()

Overrides:
  `getCollection` in class `SolrRequest<CoreAdminResponse>`

### getShardId

public String getShardId()

### getCoreNodeName

public String getCoreNodeName()

### getIsLoadOnStartup

public Boolean getIsLoadOnStartup()

### getCollectionConfigName

public String getCollectionConfigName()

### setCoreName

public void setCoreName(String coreName)
Provide the name of the core to be created.

Core names must consist entirely of periods, underscores and alphanumerics. Other characters are not allowed.

Overrides:
  `setCoreName` in class `CoreAdminRequest`
Throws:
  `IllegalArgumentException` - if the core name contains invalid characters.

### getParams

public SolrParams getParams()
Description copied from class: `SolrRequest`
The parameters for this request; never null. The runtime type may be mutable but modifications may not affect this `SolrRequest` instance, as it may return a new instance here every time. If the subclass specifies the response type as `ModifiableSolrParams`, then one can expect it to change this request. If the subclass has a setter then one can expect this method to return the value set.

Overrides:
  `getParams` in class `CoreAdminRequest`